SDL_Vulkan_CreateSurface(3)

NAME
SDL_Vulkan_CreateSurface - Create a Vulkan rendering surface for a window.

SYNOPSIS
#include <SDL3/SDL_vulkan.h>

bool SDL_Vulkan_CreateSurface(SDL_Window *window,
                                  VkInstance instance,
                                  const struct VkAllocationCallbacks *allocator,
                                  VkSurfaceKHR *surface);

DESCRIPTION
The window must have been created with the SDL_WINDOW_VULKAN flag and instance must have been created with extensions returned by SDL_Vulkan_GetInstanceExtensions() enabled.

If allocator is NULL, Vulkan will use the system default allocator. This argument is passed directly to Vulkan and isn't used by SDL itself.

FUNCTION PARAMETERS

window
    the window to which to attach the Vulkan surface.

instance
    the Vulkan instance handle.

allocator
    a VkAllocationCallbacks struct, which lets the app set the allocator that creates the surface. Can be NULL.

surface
    a pointer to a VkSurfaceKHR handle to output the newly created surface.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_Vulkan_GetInstanceExtensions(3), SDL_Vulkan_DestroySurface(3)